curl --request GET \
--url https://gateway.prem.io/rvenc/models \
--header 'Authorization: <api-key>'import requests
url = "https://gateway.prem.io/rvenc/models"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://gateway.prem.io/rvenc/models', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": 200,
"data": [
{
"id": 3,
"model": "openai/gpt-oss-120b",
"name": "GPT OSS 120B",
"description": "A large 120B open-source model offering high-quality, adaptable conversational performance.",
"type": "CHAT",
"input_modalities": [
"text"
],
"price_config": {
"standard": {
"eu": {
"prompt_price_per_k": 1,
"completion_price_per_k": 4,
"reasoning_price_per_k": 2,
"audio_price_per_min": 0
},
"default": {
"prompt_price_per_k": 1,
"completion_price_per_k": 4,
"reasoning_price_per_k": 2,
"audio_price_per_min": 0
}
},
"confidential": {
"default": {
"prompt_price_per_k": 1,
"completion_price_per_k": 4,
"reasoning_price_per_k": 2,
"audio_price_per_min": 0
}
}
},
"regions": [
"ch"
],
"requires_auth": 1,
"usage_mode": "ALL",
"visible_in_dashboard": 1,
"likes_count": 0,
"dislikes_count": 0,
"total_reviews": 0,
"rating_percent": null
},
{
"id": 4,
"model": "zai-org/GLM-4.6-FP8",
"name": "GLM 4.6 358B",
"description": "A massive 358B open-source model designed for powerful, flexible, and high-fidelity language generation.",
"type": "CHAT",
"input_modalities": [
"text"
],
"price_config": {
"standard": {
"eu": {
"prompt_price_per_k": 1,
"completion_price_per_k": 6,
"reasoning_price_per_k": 2,
"audio_price_per_min": 0
},
"default": {
"prompt_price_per_k": 1,
"completion_price_per_k": 6,
"reasoning_price_per_k": 2,
"audio_price_per_min": 0
}
}
},
"regions": [],
"requires_auth": 1,
"usage_mode": "API",
"visible_in_dashboard": 1,
"likes_count": 0,
"dislikes_count": 0,
"total_reviews": 0,
"rating_percent": null
}
],
"error": null,
"log": null,
"validator": null,
"support_id": null,
"message": "Resource created successfully",
"env": "development"
}{
"status": 401,
"error": "Some error message",
"message": null,
"env": "development",
"log": {
"request_id": "req_1234567890"
},
"support_id": "support_uuidv7-something-else",
"data": {},
"validator": {
"email": "Invalid email address",
"password": "Password is required"
}
}{
"status": 403,
"error": "Some error message",
"message": null,
"env": "development",
"log": {
"request_id": "req_1234567890"
},
"support_id": "support_uuidv7-something-else",
"data": {},
"validator": {
"email": "Invalid email address",
"password": "Password is required"
}
}List available models for confidential inference
Get a list of models available for confidential (rvenc) inference
Confidential catalog
This endpoint returns the models that your API key can use for confidential inference. UseGET /openai/models for the Zero Data Retention catalog.
curl "https://gateway.prem.io/rvenc/models?type=CHAT" \
-H "Authorization: Bearer $PREM_API_KEY"
regions field of each entry shows the confidential regions that give the model.Authorizations
Send your access token as header Authorization: Bearer {accessToken}
Your API key that starts with sk_live or sk_test. You can create yours at go.prem.io/api-keys.
Query Parameters
Filter models by type
CHAT, AUDIO_TRANSCRIPTION, AUDIO_SPEECH, IMAGE Response
Models list retrieved successfully
Status code of the response
200, 201, 202 Response data containing the requested object
Show child attributes
Show child attributes
Message of the response, human readable
"Resource created successfully"
API environment
development, production Error message of the response, human readable
"Invalid email address"
Useful informaiton, not always present, to debug the response
{ "request_id": "req_1234567890" }
"Some pertinent log message"
Validator response object, each key is the field name and value is the error message
{
"email": "Invalid email address",
"password": "Password is required"
}
Support ID linked to the response, used to identify it when talking with our team
"support_uuidv7-something-else"